      subroutine chrhed(revdat,icomp,isnew,creatr,title,spcgrp,cel,el,  CHRH001
     &      ide,x,y,z,lv)                                               CHRH002
c ----------------------------------------------------------------------CHRH003
c     cranks out a header box page for CHARGE                           CHRH004
c ----------------------------------------------------------------------CHRH005
c     This program module is part of the PhysiSoft X-ray Library        CHRH006
c     and may not be sold or reproduced for commercial purposes.        CHRH007
c     Although it has been tested carefully, there is no warranty       CHRH008
c     regarding accuracy or freedom from side-effects.                  CHRH009
c                   (C) 1986-1990 Bernhard Rupp                         CHRH010
c ----------------------------------------------------------------------CHRH011
c      parameter (ipr=6)                                                CHRH012
                                                                        CHRH013
      character lv,revdat*8,icomp*4,title*60,spcgrp*60,el*2,ide*4       CHRH014
      character creatr*50                                               CHRH015
      logical isnew                                                     CHRH016
      real cel(6),x,y,z                                                 CHRH017
                                                                        CHRH018
      do 0001 ipr=6,7                                                   CHRH019
      call frames (ipr,1,icomp)                                         CHRH020
      write(ipr,'(1x,a1,25x,a,25x,a1)')lv,'P R O G R A M   C H A R G E',CHRH021
     &     lv                                                           CHRH022
      call frames (ipr,2,icomp)                                         CHRH023
      write(ipr,'(1x,a1,6x,a,a,5x,a1)')lv,'Computes local charge symme',CHRH024
     & 'try around a central atom in a crystal ',lv                     CHRH025
      write(ipr,'(1x,a1,11x,a,a,12x,a1)')lv,'from structural output de',CHRH026
     & 'coded by SEXIE   (C) 1988-95 ',lv                               CHRH027
      write(ipr,'(1x,a1,20x,a,a,a,21x,a1)')                             CHRH028
     & lv,icomp,' Version 5.0 , Revision ',revdat,lv                    CHRH029
      write(ipr,'(1x,a1,35x,a,35x,a1)')lv,                              CHRH030
     &  'B. Rupp',lv                                                    CHRH031
      call frames (ipr,2,icomp)                                         CHRH032
      if (isnew) then                                                   CHRH033
          write(ipr,'(1x,a1,27x,a,28x,a1)')                             CHRH034
     &    lv,' Interactive Routine  ',lv                                CHRH035
      else                                                              CHRH036
          write(ipr,'(1x,a1,27x,a,28x,a1)')                             CHRH037
     &    lv,' Batch Input Routine  ',lv                                CHRH038
      end if                                                            CHRH039
      write(ipr,'(1x,a1,14x,a,13x,a1)') lv,creatr,lv                    CHRH040
      call frames (ipr,2,icomp)                                         CHRH041
      write(ipr,'(1x,a1,a,a60,8x,a1)')lv,' Title : ',title,lv           CHRH042
      write(ipr,'(1x,a1,a60,17x,a1)')lv,spcgrp,lv                       CHRH043
      write (ipr,'(1x,a1,a,3(1x,f9.4),3(1x,f9.3),9x,a1)') lv,           CHRH044
     & ' Cell : ',(cel(i),i=1,6), lv                                    CHRH045
      write (ipr,'(1x,a1,a,a,1x,a,a,3(1x,f9.4),19x,a1)') lv,            CHRH046
     & ' Central atom : ',el,ide,' at  ',x,y,z, lv                      CHRH047
      if (isnew.and.(ipr.eq.6)) then                                    CHRH048
          call frames (ipr,3,icomp)                                     CHRH049
      else                                                              CHRH050
          call frames (ipr,2,icomp)                                     CHRH051
      end if                                                            CHRH052
 0001 continue                                                          CHRH053
      return                                                            CHRH054
      end                                                               CHRH055
